unit csSQLConst;    
{ ************************************************************************* }
{ *                                                                       * }
{ *  Company.............: Component Store Ltd.                           * }
{*   Project.............. SQLQuery                                       * }
{ *  Program name........: csSQLConst.PAS   Program type.: UNIT           * }
{ *  Documentation.......: -                Version......: 2.0            * }
{ *  Date................: 98-05-01         Created by...: Thomas Werner  * }
{ *                                                                       * }
{ ************************************************************************* }
{ *                     Copyright(C) by Component Store Ltd. 1998         * }
{ *                         All rights reserved                           * }
{ ************************************************************************* }
interface
resourcestring
  SFieldUndefinedType = 'Field ''%s'' is of undefined type.';
  SFieldUnsupportedType = 'Field ''%s'' has an unsupported type.';
  SParamNotFound = 'Parameter ''%s'' not found.';
  SInvalidVersion = 'Invalid version';
  SParameterTooBig = 'Parameter ''%s'' too big: %d';
  SUpdateFailed = 'Update failed. No rows where affected by transaction.';
  STextTrue = 'True';
  STextFalse = 'False';
  SUnknownUserId = 'Server did not accept user id ''%s''';
  SWrongPassword = 'Wrong password';
  SNoConnection = 'Unable to connect to ''%s''. Check login parameters';
  SUndefinedSQLServer = 'TSQLQuery ''%s'' has no DataBaseName property defined';
  SNoStatement ='No statement in query';
  SSQLError = 'SQL error %d in: %s';
  SConnectionLost = 'Connection to database lost.';
  SBookmarkNotFound = 'Bookmark not found.';
  SNotEdit = 'Dataset not in edit mode.';
  SFieldReadOnly = 'Field ''%s'' is read-only';
  SFieldRequired = 'Field ''%s'' is required';
  STransactActive = 'Transaction already started. Must Commit or Rollback before starting new transaction.';
  STransactInActive = 'No transaction active.';
  SRecursiveDataLink = 'Recursive datalinks not allowed';
  SUnableToResolveName = 'Unable to resolve table name from querystring';
  SAsyncOpenError = 'Can not do a async open with CacheAllRecords=True';
  SSortFieldError = 'Only fully cached record sets can be sorted';
implementation

end.
 